## lxqt-qtplugin 0.9.0+20150819

=== CMakeLists.txt ===
include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    "${CMAKE_CURRENT_BINARY_DIR}"
)

set(qtlxqt_SRCS
    main.cpp
    lxqtplatformtheme.cpp
)

add_library(qtlxqt SHARED ${qtlxqt_SRCS})

target_link_libraries(qtlxqt
    Qt5::Widgets
)

# there is no standard way to get the plugin dir of Qt5 with cmake
# The best way is get_target_property(QT_PLUGINS_DIR Qt5::QGtk2ThemePlugin LOCATION).
# This directly returns the platformthemes dir. However, this does not work
# in some distros, such as ubuntu.
# Finally, I came up with a more reliable way by using qmake.
get_target_property(QT_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE} IMPORTED_LOCATION)
if(NOT QT_QMAKE_EXECUTABLE)
    message(FATAL_ERROR "qmake is not found.")
endif()

# execute the command "qmake -query QT_INSTALL_PLUGINS" to get the path of plugins dir.
execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_PLUGINS
    OUTPUT_VARIABLE QT_PLUGINS_DIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(QT_PLUGINS_DIR)
    message(STATUS "Qt5 plugin directory:" "${QT_PLUGINS_DIR}")
else()
    message(FATAL_ERROR "Qt5 plugin directory cannot be detected.")
endif()

install(TARGETS qtlxqt LIBRARY DESTINATION "${QT_PLUGINS_DIR}/platformthemes")

=== debian/changelog ===
lxqt-qtplugin (0.9.0+20150819-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Initial debian files
  * Rebuild only.
    - Upstream version 0.8.0.
    - Min Qt version 5.3.2.
    - Min liblxqt-qt5-dev version 0.8.0.
    - removed build dependency libegl1-mesa-dev, as the Qt
      bug is fixed.
    - bump standards to 3.9.6.
    - Short descriptions fixed
  * new version 0.9.0 packages renamed debian $foo fixed added
    source/options.
  * Some cleanup in debian $foo.
  * Some changes in debian $foo.
  * Drop transitional packages.

  [ ChangZhuo Chen (陳昌倬) ]
  * Initial release. (Closes: #747604)
  * Imported Upstream version 0.9.0+20150819.
  * Update changelog.
  * Add -Wl,--as-needed.
  * Update control.
  * Update copyright.

  [ Yukiharu YABUKI ]
  * Clarify License for 'LGPL-2.1-or-3-with-Digia-1.1-exception'.
  * Added a uploader.
  * Improve debian/changelog.
  * Added README.Debian.

 -- Yukiharu YABUKI <yyabuki@debian.org>  Thu, 20 Aug 2015 05:49:28 +0900

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libx11-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-qtplugin.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-qtplugin.git
Homepage: https://github.com/lxde/lxqt-qtplugin

Package: lxqt-qtplugin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the lxqt qtplugin interface. 

Package: lxqt-qtplugin-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         lxqt-qtplugin (= ${binary:Version})
Description: LXQt system integration plugin for Qt (debug symbols)
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the debugging symbols.

=== debian/watch ===
version=3
https://github.com/lxde/lxqt-qtplugin/releases .*/([\d\.]+).tar.gz

## lxqt-qtplugin 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(lxqt-qtplugin)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)
find_package(dbusmenu-qt5 REQUIRED QUIET)

find_package(lxqt REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

add_subdirectory(src)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== src/CMakeLists.txt ===
include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    "${CMAKE_CURRENT_BINARY_DIR}"
)

set(qtlxqt_HDRS
    lxqtplatformtheme.h
    lxqtsystemtrayicon.h
    statusnotifieritem/statusnotifieritem.h
    statusnotifieritem/dbustypes.h
)

set(qtlxqt_SRCS
    main.cpp
    lxqtplatformtheme.cpp
    lxqtsystemtrayicon.cpp
    statusnotifieritem/statusnotifieritem.cpp
    statusnotifieritem/dbustypes.cpp
)

qt5_add_dbus_adaptor(qtlxqt_SRCS
    statusnotifieritem/org.kde.StatusNotifierItem.xml
    statusnotifieritem/statusnotifieritem.h
    StatusNotifierItem
)

add_library(qtlxqt SHARED ${qtlxqt_HDRS} ${qtlxqt_SRCS})

target_link_libraries(qtlxqt
    Qt5::Widgets
    Qt5::DBus
    dbusmenu-qt5
    lxqt
)

# there is no standard way to get the plugin dir of Qt5 with cmake
# The best way is get_target_property(QT_PLUGINS_DIR Qt5::QGtk2ThemePlugin LOCATION).
# This directly returns the platformthemes dir. However, this does not work
# in some distros, such as ubuntu.
# Finally, I came up with a more reliable way by using qmake.
get_target_property(QT_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE} IMPORTED_LOCATION)
if(NOT QT_QMAKE_EXECUTABLE)
    message(FATAL_ERROR "qmake is not found.")
endif()

# execute the command "qmake -query QT_INSTALL_PLUGINS" to get the path of plugins dir.
execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_PLUGINS
    OUTPUT_VARIABLE QT_PLUGINS_DIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(QT_PLUGINS_DIR)
    message(STATUS "Qt5 plugin directory:" "${QT_PLUGINS_DIR}")
else()
    message(FATAL_ERROR "Qt5 plugin directory cannot be detected.")
endif()

install(TARGETS qtlxqt LIBRARY DESTINATION "${QT_PLUGINS_DIR}/platformthemes")

=== debian/changelog ===
lxqt-qtplugin (0.10.0-2build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 02 Dec 2015 13:28:50 +0200

lxqt-qtplugin (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Set new minimum version for liblxqt.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 19 Nov 2015 22:55:24 +0800

lxqt-qtplugin (0.9.0+20150819-2) unstable; urgency=medium

  * Fixed czchen's mail address in control and copyright
  * Fixed the initial changelog entry - the listed points was never released
    or inluded in any debian release
  * Fixed .gitignore

 -- Alf Gaida <agaida@siduction.org>  Thu, 12 Nov 2015 19:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: lxqt-qtplugin
 Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Yukiharu YABUKI <yyabuki@debian.org>
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cmake (>= 3.0.2),
+               libdbusmenu-qt5-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev,
+               liblxqt0-dev (>= 0.10.0),
                libqt5x11extras5-dev,
-               libqt5xdg-dev,
+               libqt5xdg-dev (>= 1.3.0),
                libx11-dev,
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools,
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-qtplugin.git
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-qtplugin.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-qtplugin.git/?h=debian/sid
+Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-qtplugin.git -b debian/sid
 Homepage: https://github.com/lxde/lxqt-qtplugin
 
 Package: lxqt-qtplugin
@@ -29,7 +30,7 @@
  With this plugin, all Qt-based programs can adopt settings of
  LXQt, such as the icon theme.
  .
- This package provides the lxqt qtplugin interface. 
+ This package provides the lxqt qtplugin interface.
 
 Package: lxqt-qtplugin-dbg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-qtplugin

override_dh_strip:
	dh_strip --dbg-package=lxqt-qtplugin-dbg

## lxqt-qtplugin 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 find_package(dbusmenu-qt5 REQUIRED QUIET)
 
 find_package(lxqt REQUIRED QUIET)
+find_package(Qt5XdgIconLoader REQUIRED QUIET)
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)

## lxqt-qtplugin 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(lxqt-qtplugin)

include(GNUInstallDirs)

set(LXQTBT_MINIMUM_VERSION "0.1.0")

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)
find_package(dbusmenu-qt5 REQUIRED QUIET)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5XdgIconLoader REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
     Qt5::Widgets
     Qt5::DBus
     dbusmenu-qt5
-    lxqt
+    Qt5XdgIconLoader
 )
 
 # there is no standard way to get the plugin dir of Qt5 with cmake

=== debian/changelog ===
lxqt-qtplugin (0.11.1-2build1) artful; urgency=medium

  * No change rebuild against Qt 5.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 19 Jul 2017 01:03:11 +0300

lxqt-qtplugin (0.11.1-2) unstable; urgency=medium

  * Bump Standards to 4.0.0 - no changes needed
  * Bump year on copyright
  * Recommends lxqt-session and lxqt-config (Closes: #866780)
  * Suggests lxqt | lxqt-core
  * Removed translation stuff from rules, there are no translations for
    the plugin

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 19:14:21 +0200

lxqt-qtplugin (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies
    - cmake
    - liblxqt0-dev
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Added build dependency lxqt-build-tools (>= 0.3.0)

 -- Alf Gaida <agaida@siduction.org>  Mon, 12 Dec 2016 01:38:34 +0100

lxqt-qtplugin (0.11.0-3) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Synced debian foo with experimental
  * Added Multi-Arch: same, following the Multiarch hinter
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version liblxqt-dev (>= 0.11.0)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev
  * Fixed VCS fields, using https and plain /git/ 
  * Removed README.debian, no longer needed
  * Fixed copyrights Format field to https
  * Bumped years in copyrights
  * Fixed copyrights Source field
  * Removed outdated file and license from copyrights
  * Added hardening options
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Added a basic gbp.conf
 
 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 17:44:28 +0200

lxqt-qtplugin (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym. 

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 22:27:15 +0100

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libdbusmenu-qt5-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.3.0),
               qtbase5-private-dev,
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-qtplugin.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-qtplugin.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-qtplugin

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-session,
            lxqt-config
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

## lxqt-qtplugin 0.12.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 set(qtlxqt_HDRS
     lxqtplatformtheme.h
     lxqtsystemtrayicon.h
+    lxqtfiledialoghelper.h
     statusnotifieritem/statusnotifieritem.h
     statusnotifieritem/dbustypes.h
 )
@@ -14,6 +15,7 @@
     main.cpp
     lxqtplatformtheme.cpp
     lxqtsystemtrayicon.cpp
+    lxqtfiledialoghelper.cpp
     statusnotifieritem/statusnotifieritem.cpp
     statusnotifieritem/dbustypes.cpp
 )
@@ -24,14 +26,16 @@
     StatusNotifierItem
 )
 
-add_library(qtlxqt SHARED ${qtlxqt_HDRS} ${qtlxqt_SRCS})
+add_library(qtlxqt MODULE ${qtlxqt_HDRS} ${qtlxqt_SRCS})
 
 target_link_libraries(qtlxqt
     Qt5::Widgets
     Qt5::DBus
     dbusmenu-qt5
     Qt5XdgIconLoader
+    fm-qt
 )
+
 
 # there is no standard way to get the plugin dir of Qt5 with cmake
 # The best way is get_target_property(QT_PLUGINS_DIR Qt5::QGtk2ThemePlugin LOCATION).

=== debian/changelog ===
lxqt-qtplugin (0.12.0-6ubuntu3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:00:10 -0500

lxqt-qtplugin (0.12.0-6ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:49:25 -0600

lxqt-qtplugin (0.12.0-6ubuntu1) bionic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Cherry-pick an upstream commit because the upstream release cycle is too
      slow:
      + Remember the view mode.
        * remember-view-mode.patch
        * Upstream commit dfa18ac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 18 Feb 2018 22:48:24 -0600

lxqt-qtplugin (0.12.0-6) unstable; urgency=medium

  * Backported lxqtplatformtheme-follow-color-scheme.patch
  * Fixed wrong group in VCS fields
  * Removed some trailing whitespaces from d/changelog

 -- Alf Gaida <agaida@siduction.org>  Wed, 14 Feb 2018 22:42:02 +0100

lxqt-qtplugin (0.12.0-5) unstable; urgency=medium

  * Backported colorize-at-start patch
  * Bumped debhelper to >= 11
  * Bumped Standards to 4.1.3, no changes needed
  * Changed VCS fields for salsa
  * Bumped compat to 11
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 12 Feb 2018 19:52:16 +0100

lxqt-qtplugin (0.12.0-4ubuntu1) bionic; urgency=medium

  * Cherry-pick an upstream commit because the upstream release cycle is too
    slow:
    - Remember the view mode.
      + remember-view-mode.patch
      + Upstream commit dfa18ac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 05 Feb 2018 21:33:02 -0600

lxqt-qtplugin (0.12.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 22:31:53 +0100

lxqt-qtplugin (0.12.0-3) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 00:18:17 +0100

lxqt-qtplugin (0.12.0-2) experimental; urgency=medium

  * pickup qt abi 5.9.2

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Oct 2017 02:09:04 +0100

lxqt-qtplugin (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped tools dependency to >= 0.4.0
  * Fixed year in copyrights
  * Added build dependency libfm-qt-dev (>= 0.12.0),
  * Bumped lxqt-build-tools to >= 0.4.0

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 19:41:49 +0200

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11),
               libdbusmenu-qt5-dev,
               libfm-qt-dev (>= 0.12.0),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.4.0),
               qtbase5-private-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Homepage: https://github.com/lxde/lxqt-qtplugin

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-session,
            lxqt-config
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-qtplugin/releases .*/lxqt-qtplugin-([\d\.]+).tar.xz

## lxqt-qtplugin 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(lxqt-qtplugin)

include(GNUInstallDirs)

set(LXQTBT_MINIMUM_VERSION "0.5.0")

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(dbusmenu-qt5 REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5XdgIconLoader REQUIRED)

# Patch Version 0

# for file dialog support
find_package(Qt5X11Extras REQUIRED)
find_package(fm-qt REQUIRED)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,11 @@
 )
 
 add_library(qtlxqt MODULE ${qtlxqt_HDRS} ${qtlxqt_SRCS})
+
+target_compile_definitions(qtlxqt
+    PRIVATE
+        "QT_NO_FOREACH"
+)
 
 target_link_libraries(qtlxqt
     Qt5::Widgets

=== debian/changelog ===
lxqt-qtplugin (0.13.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Sep 2018 13:58:33 -0700

lxqt-qtplugin (0.13.0-2) unstable; urgency=medium

  * Switched to unstable
  * Bumped build dependency libfm-qt-dev to >= 0.13.1~
  * Bumped Standards to 4.1.5, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 14:13:08 +0200

lxqt-qtplugin (0.13.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.13.0.
  * Switched to experimental
  * Bumped build dependency libfm-qt-dev to >= 0.13.0~
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Removed the ported back upstream patches

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 May 2018 01:13:13 +0200

lxqt-qtplugin (0.12.0-7) unstable; urgency=medium

  * Relax debhelper minimum version to >= 11~
  * Bumped Standard to 4.1.4, no changes needed
  * Fixde glitches in VCS fields
  * Changed Homepage, Source and watch for lxqt

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:10:41 +0200

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libdbusmenu-qt5-dev,
               libfm-qt-dev (>= 0.13.1~),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.5.0~),
               qtbase5-private-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-session,
            lxqt-config
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

## lxqt-qtplugin 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-qtplugin)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Minimum Versions
set(LXQTBT_MINIMUM_VERSION "0.6.0")
set(QT_MINIMUM_VERSION "5.7.1")
set(QTXDG_MINIMUM_VERSION "3.3.0")

find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5XdgIconLoader ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(dbusmenu-qt5 REQUIRED)

# Patch Version 0

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 set(qtlxqt_HDRS
     lxqtplatformtheme.h
     lxqtsystemtrayicon.h
-    lxqtfiledialoghelper.h
     statusnotifieritem/statusnotifieritem.h
     statusnotifieritem/dbustypes.h
 )
@@ -15,7 +14,6 @@
     main.cpp
     lxqtplatformtheme.cpp
     lxqtsystemtrayicon.cpp
-    lxqtfiledialoghelper.cpp
     statusnotifieritem/statusnotifieritem.cpp
     statusnotifieritem/dbustypes.cpp
 )
@@ -31,6 +29,11 @@
 target_compile_definitions(qtlxqt
     PRIVATE
         "QT_NO_FOREACH"
+        "QT_USE_QSTRINGBUILDER"
+        "QT_NO_CAST_FROM_ASCII"
+        "QT_NO_CAST_TO_ASCII"
+        "QT_NO_URL_CAST_FROM_STRING"
+        "QT_NO_CAST_FROM_BYTEARRAY"
 )
 
 target_link_libraries(qtlxqt
@@ -38,7 +41,6 @@
     Qt5::DBus
     dbusmenu-qt5
     Qt5XdgIconLoader
-    fm-qt
 )

=== debian/changelog ===
lxqt-qtplugin (0.14.0-3ubuntu4) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:03:32 +0100

lxqt-qtplugin (0.14.0-3ubuntu3) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 06:30:03 +0000

lxqt-qtplugin (0.14.0-3ubuntu2) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 13 Jul 2019 17:11:05 +0300

lxqt-qtplugin (0.14.0-3ubuntu1) eoan; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Explicitly depend on libqt5xdg-dev.
    - Bump the ABI package to libfm-qt6.
    - Remove unneeded ~s from versions.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 May 2019 08:45:05 -0500

lxqt-qtplugin (0.14.0-3) unstable; urgency=medium

  * Try to load the versioned libfm-qt.so.6 instead of libfm-qt.so
    (Closes: #927905)

 -- Alf Gaida <agaida@siduction.org>  Wed, 24 Apr 2019 23:05:04 +0200

lxqt-qtplugin (0.14.0-0ubuntu3) disco; urgency=medium

  * Rebuild against qtbase-abi-5-12-2.
  * Explicity build depend on libqt5xdg-dev.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 31 Mar 2019 10:34:46 +0100

lxqt-qtplugin (0.14.0-2) unstable; urgency=medium

  * Added missed direct dependency libqt5xdgiconloader-dev, the new
    build-tools don't depend on it any longer to prevent circular
    dependencies with libqtxdg (Closes: #924474).

 -- Alf Gaida <agaida@siduction.org>  Wed, 13 Mar 2019 17:59:00 +0100

lxqt-qtplugin (0.14.0-0ubuntu2) disco; urgency=medium

  * Recommend libfm-qt6 instead.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 27 Jan 2019 21:01:22 -0600

lxqt-qtplugin (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed build dependency libfm-qt-dev
  * Recommend libfm-qt6
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 18:08:59 +0100

lxqt-qtplugin (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:44:38 -0600

lxqt-qtplugin (0.13.0-0ubuntu4) cosmic; urgency=medium

  * Bump Standards-version to 4.1.5, no changes needed.
  * Lubuntuify the package.
  * Dynamically load libfm-qt on runtime instead of on build time.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 30 Jul 2018 19:34:33 -0500

lxqt-qtplugin (0.13.0-0ubuntu3) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 03:18:15 -0500

lxqt-qtplugin (0.13.0-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild against libfm-qt.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Jul 2018 01:34:06 -0500

lxqt-qtplugin (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Remove patches applied upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 May 2018 22:40:20 -0500

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libdbusmenu-qt5-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5xdg-dev,
               libqt5x11extras5-dev,
               libqt5xdgiconloader-dev (>= 3.3.1),
               libx11-dev,
               lxqt-build-tools (>= 0.6.0),
               qtbase5-private-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-qtplugin/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-qtplugin.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Homepage: https://github.com/lxde/lxqt-qtplugin

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libfm-qt6 (>= 0.14.0),
            lxqt-session,
            lxqt-config
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

## lxqt-qtplugin 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,10 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QT_MINIMUM_VERSION "5.7.1")
-set(QTXDG_MINIMUM_VERSION "3.3.0")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(QT_MINIMUM_VERSION "5.10.0")
+set(QTXDG_MINIMUM_VERSION "3.5.0")
+set(FMQT_MINIMUM_VERSION "0.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -23,6 +24,18 @@
 find_package(Qt5XdgIconLoader ${QTXDG_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 find_package(dbusmenu-qt5 REQUIRED)
+find_package(fm-qt ${FMQT_MINIMUM_VERSION} REQUIRED)
+
+get_target_property(LIB_FM_QT_CONFIGURATIONS fm-qt IMPORTED_CONFIGURATIONS)
+if (LIB_FM_QT_CONFIGURATIONS)
+    # Extract the .soname from the first configuration found.
+    # We don't use configuration mapping. Any config serves the purpose
+    list(GET LIB_FM_QT_CONFIGURATIONS 0 LIB_FM_QT_FIRST_CONFIGURATION)
+    get_target_property(LIB_FM_QT_SONAME fm-qt IMPORTED_SONAME_${LIB_FM_QT_FIRST_CONFIGURATION})
+else()
+    message(ERROR "libfm-qt, but no configuration found. Check your libfm-qt installation.")
+endif()
+mark_as_advanced(LIB_FM_QT_SONAME)
 
 # Patch Version 0

=== debian/changelog ===
lxqt-qtplugin (0.15.0-0ubuntu1) groovy; urgency=medium

  [ apt-ghetto ]
  * Removed load-versioned-libfm-qt.patch
  * Added libfm-qt-dev as build dependency
  * Added libfm-qt6 as dependency

  [ Simon Quigley ]
  * New upstream version.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Bump Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.
  * Bump libfm-qt{6,7}.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:37:36 -0500

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                libdbusmenu-qt5-dev,
+               libfm-qt-dev (>= 0.15.0),
                libkf5windowsystem-dev,
                libqt5svg5-dev,
+               libqt5x11extras5-dev,
                libqt5xdg-dev,
-               libqt5x11extras5-dev,
-               libqt5xdgiconloader-dev (>= 3.3.1),
+               libqt5xdgiconloader-dev (>= 3.5.0),
                libx11-dev,
-               lxqt-build-tools (>= 0.6.0),
+               lxqt-build-tools (>= 0.7.0),
                qtbase5-private-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-qtplugin/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-qtplugin.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
@@ -24,11 +25,8 @@
 Package: lxqt-qtplugin
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libfm-qt6 (>= 0.14.0),
-            lxqt-session,
-            lxqt-config
+Depends: libfm-qt7, ${misc:Depends}, ${shlibs:Depends}
+Recommends: lxqt-config, lxqt-session
 Suggests: lxqt | lxqt-core
 Description: LXQt system integration plugin for Qt
  With this plugin, all Qt-based programs can adopt settings of

## lxqt-qtplugin 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
-set(QT_MINIMUM_VERSION "5.10.0")
-set(QTXDG_MINIMUM_VERSION "3.5.0")
-set(FMQT_MINIMUM_VERSION "0.15.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QT_MINIMUM_VERSION "5.12.0")
+set(QTXDG_MINIMUM_VERSION "3.6.0")
+set(FMQT_MINIMUM_VERSION "0.16.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-qtplugin (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Removed no longer needed patches, applied upstream

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #977329)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 17:53:47 +0800

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libdbusmenu-qt5-dev,
               libfm-qt-dev (>= 0.16.0~),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdgiconloader-dev (>= 3.3.1~),
               libx11-dev,
               lxqt-build-tools (>= 0.8.0~),
               qtbase5-private-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libfm-qt8
Recommends: lxqt-session,
            lxqt-config
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure --\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-qtplugin 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 set(QT_MINIMUM_VERSION "5.12.0")
-set(QTXDG_MINIMUM_VERSION "3.6.0")
-set(FMQT_MINIMUM_VERSION "0.16.0")
+set(QTXDG_MINIMUM_VERSION "3.7.0")
+set(FMQT_MINIMUM_VERSION "0.17.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-qtplugin (0.17.0-0ubuntu3) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 17:58:10 +0300

lxqt-qtplugin (0.17.0-0ubuntu2) impish; urgency=medium

  * Add libfm-qt9 dependency.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 15 Aug 2021 11:33:09 -0400

lxqt-qtplugin (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use libfm-qt-dev 0.17.1
    - Use libqt5xdgiconloader-dev 0.17.1
    - Use lxqt-build-tools 0.9.0
  * Fix debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Wed, 11 Aug 2021 10:20:29 +0200

lxqt-qtplugin (0.16.0-1ubuntu2) hirsute; urgency=medium

  * New upstream version.
  * Bumped debhelper-compat to 13.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Thu, 18 Feb 2021 23:55:14 +0530

lxqt-qtplugin (0.15.0-0ubuntu3) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 22:54:27 +0300

lxqt-qtplugin (0.15.0-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 20:11:14 +0300

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-qt5-dev,
               libfm-qt-dev (>= 0.17.1),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libqt5xdgiconloader-dev (>= 3.7.1),
               libx11-dev,
               lxqt-build-tools (>= 0.9.0),
               qtbase5-private-dev
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-qtplugin/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-qtplugin.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Homepage: https://github.com/lxde/lxqt-qtplugin

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt9, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-qtplugin/releases .*/lxqt-qtplugin-([\d\.]+).tar.xz

## lxqt-qtplugin 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
-set(QT_MINIMUM_VERSION "5.12.0")
-set(QTXDG_MINIMUM_VERSION "3.7.0")
-set(FMQT_MINIMUM_VERSION "0.17.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(QT_MINIMUM_VERSION "5.15.0")
+set(QTXDG_MINIMUM_VERSION "3.9.0")
+set(FMQT_MINIMUM_VERSION "1.1.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-qtplugin (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Aug 2022 18:35:55 -0700

lxqt-qtplugin (1.1.0-1) experimental; urgency=medium

  [ Aaron Rainbolt ]
  * New upstream release 1.1.0.
  * Removed obsolete debian/compat file.
  * Switched to GBP.
  * Upstreamed non-Ubuntu-specific packaging changes from Ubuntu, modifying
    the following files:
    - control
    - copyright
    - upstream/*

  [ Simon Quigley ]
  * Re-add the existing uploaders to debian/control.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 10 Jul 2022 00:29:24 -0500

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-qt5-dev,
               libfm-qt-dev (>= 1.1.0),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libqt5xdgiconloader-dev (>= 3.9.1),
               libx11-dev,
               lxqt-build-tools (>= 0.11.0),
               qtbase5-private-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt11, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure --\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## lxqt-qtplugin 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
 set(QT_MINIMUM_VERSION "5.15.0")
-set(QTXDG_MINIMUM_VERSION "3.9.0")
-set(FMQT_MINIMUM_VERSION "1.1.0")
+set(QTXDG_MINIMUM_VERSION "3.10.0")
+set(FMQT_MINIMUM_VERSION "1.2.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-qtplugin (1.2.0-0ubuntu6) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 23:52:40 +0300

lxqt-qtplugin (1.2.0-0ubuntu5) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 15:48:03 +0300

lxqt-qtplugin (1.2.0-0ubuntu4) lunar; urgency=medium

  * Removed trailing whitespace from changelog.
  * Updated copyright file.
  * Bumped Standards-Version to 4.6.2, no changes necessary.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 09 Feb 2023 22:34:25 -0600

lxqt-qtplugin (1.2.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 13:10:25 +0300

lxqt-qtplugin (1.2.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 15:59:29 +0300

lxqt-qtplugin (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build and runtime dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Nov 2022 16:40:59 -0600

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-qt5-dev,
               libfm-qt-dev (>= 1.2.0),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libqt5xdgiconloader-dev (>= 3.10.0),
               libx11-dev,
               lxqt-build-tools (>= 0.12.0),
               qtbase5-private-dev
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-qtplugin-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-qtplugin-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt12, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,3 @@
 override_dh_auto_configure:
 	dh_auto_configure --\
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
-
-# No dbgsym package:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## lxqt-qtplugin 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 set(QT_MINIMUM_VERSION "5.15.0")
-set(QTXDG_MINIMUM_VERSION "3.10.0")
-set(FMQT_MINIMUM_VERSION "1.2.0")
+set(QTXDG_MINIMUM_VERSION "3.11.0")
+set(FMQT_MINIMUM_VERSION "1.3.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-qtplugin (1.3.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 16:00:15 -0700

lxqt-qtplugin (1.3.0-0.1~S7) unstable; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sat, 20 May 2023 15:13:12 +0300

lxqt-qtplugin (1.2.0-3) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 03 Dec 2022 01:10:19 +0800

lxqt-qtplugin (1.2.0-2) experimental; urgency=medium

  * Fix Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 01 Dec 2022 00:30:59 +0800

lxqt-qtplugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Nov 2022 22:00:10 +0800

=== debian/control ===
Source: lxqt-qtplugin
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libdbusmenu-qt5-dev,
               libfm-qt-dev (>= 1.3.0~),
               libkf5windowsystem-dev,
               libqt5svg5-dev (>= 3.11.0~),
               libqt5x11extras5-dev (>= 3.11.0~),
               libqt5xdg-dev (>= 3.11.0~),
               libqt5xdgiconloader-dev (>= 3.11.0~),
               libx11-dev,
               lxqt-build-tools (>= 0.13.0~),
               qtbase5-private-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-qtplugin
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-qtplugin.git
Homepage: https://github.com/lxqt/lxqt-qtplugin
Rules-Requires-Root: no

Package: lxqt-qtplugin
Architecture: any
Multi-Arch: same
Depends: libfm-qt13, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-config, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt system integration plugin for Qt
 With this plugin, all Qt-based programs can adopt settings of
 LXQt, such as the icon theme.
 .
 This package provides the LXQt qtplugin interface.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 override_dh_auto_configure:
 	dh_auto_configure --\
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
